跳转到主要内容

Documentation Index

Fetch the complete documentation index at: https://docs.tokenlab.sh/llms.txt

Use this file to discover all available pages before exploring further.

轮询此端点以检查 3D 模型生成任务的状态。
如果该任务已不存在或无法再通过公开的异步任务契约解析,TokenLab 会返回 async_task_not_found,并附带消息 Task not found or no longer available.

路径参数

id
string
必填
3D 生成任务 ID。

响应

id
string
任务 ID。
status
string
任务状态:pendingprocessingcompletedfailed
progress
integer
进度百分比 (0-100)。
model_url
string
3D 模型文件的下载 URL(完成时)。
glb_url
string
GLB 格式模型的下载 URL(可用时)。
fbx_url
string
FBX 格式模型的下载 URL(可用时)。
error
string
错误信息(失败时)。
curl "https://api.tokenlab.sh/v1/tasks/ldtask_aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa" \
  -H "Authorization: Bearer sk-your-api-key"
{
  "id": "ldtask_aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa",
  "task_id": "ldtask_aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa",
  "poll_url": "/v1/tasks/ldtask_aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa",
  "status": "completed",
  "model_url": "https://cdn.example.com/3d/abc123.glb",
  "glb_url": "https://cdn.example.com/3d/abc123.glb",
  "fbx_url": "https://cdn.example.com/3d/abc123.fbx"
}